commoble.exmachina.circuit

## Class CircuitBuilder.ElementContext

- java.lang.Object
- - commoble.exmachina.circuit.CircuitBuilder.ElementContext

Enclosing class:
  CircuitBuilder

    public static class CircuitBuilder.ElementContext
    extends java.lang.Object

### Field Summary

Fields
`DefinedCircuitComponent` `element`
`net.minecraft.util.math.BlockPos` `pos`
`net.minecraft.block.BlockState` `state`

### Constructor Summary

Constructors
Constructor and Description
`ElementContext(net.minecraft.util.math.BlockPos pos, net.minecraft.block.BlockState state, DefinedCircuitComponent element)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pos

    @Nonnull
    public final net.minecraft.util.math.BlockPos pos

#### state

    @Nonnull
    public final net.minecraft.block.BlockState state

#### element

    @Nonnull
    public final DefinedCircuitComponent element

### Constructor Detail

#### ElementContext

    public ElementContext(@Nonnull
                          net.minecraft.util.math.BlockPos pos,
                          @Nonnull
                          net.minecraft.block.BlockState state,
                          @Nonnull
                          DefinedCircuitComponent element)